**Source URL:** https://limited.veevavault.dev/vault-api/api-reference/25.2/document-lifecycle-workflows/binder-user-actions/retrieve-binder-entry-criteria.md

# Retrieve Binder Entry Criteria



Retrieve the entry criteria for a user action. Entry criteria are requirements the binder must meet before you can [initiate the action](/vault-api/api-reference/25.2/document-lifecycle-workflows/document-user-actions/initiate-document-user-action). Entry criteria are dynamic and depend on the lifecycle configuration, lifecycle state, or any workflow activation requirements defined in the *Start Step* of the workflow. Learn more about [entry criteria in Vault Help](https://platform.veevavault.help/en/lr/12617#types).

To retrieve entry criteria, the authenticated user must have permission to execute the action. To check permissions, [Retrieve User Actions](/vault-api/api-reference/25.2/document-lifecycle-workflows/document-user-actions/retrieve-document-user-actions) and check for actions where `executable__v` is `true`.

<Endpoint path="/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/lifecycle_actions/{name__v}/entry_requirements" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value from which to retrieve available user actions. |
| `{major_version}` | The major version number of the binder. |
| `{minor_version}` | The minor version number of the binder. |
| `{name__v}` | The lifecycle `name__v` field value from which to retrieve entry criteria. Retrieve this value from [Retrieve User Actions](/vault-api/api-reference/25.2/document-lifecycle-workflows/document-user-actions/retrieve-document-user-actions). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/objects/binders/152/versions/0/1/lifecycle_actions/read__c/entry_requirements

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "Success",
    "properties": [
        {
            "name": "user_control_multiple__c",
            "description": "Read",
            "type": [
                "ObjectReference"
            ],
            "objectTypeReferenced": {
                "name": "User",
                "label": "User"
            },
            "required": true,
            "editable": true,
            "repeating": true,
            "scope": "WorkflowActivation"
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

The response may include the following metadata elements describing the properties for which values need to be specified:



---

**Previous:** [Retrieve User Actions on Multiple Binders](/vault-api/api-reference/25.2/document-lifecycle-workflows/binder-user-actions/retrieve-user-actions-on-multiple-binders)  
**Next:** [Initiate Binder User Action](/vault-api/api-reference/25.2/document-lifecycle-workflows/binder-user-actions/initiate-binder-user-action)